Subject: Re: rcs

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Nov 2013 09:28:52 -0800

Jakub Narębski <[email-masked]> writes:

> Finnerty, James M Mr CTR USA USASOC-SOAR wrote
>> Jeff King [mailto:[email-masked]]wrote:
>>> On Tue, Oct 29, 2013 at 11:35:21AM -0500, Finnerty, James M Mr CTR USA USASOC-SOAR wrote:
>>>
>>>> Hi. I'm going to attempt to import a git database into Razor which is
>>>> linux rcs based. Does the linux version of git use rcs ?
>>>
>>> No, the formats are completely different, and you will have to translate.
>>> We don't usually get requests to go from git to rcs; it usually goes
>>> the other way. :)
>
>>
>>    Thanks.  We have several systems using Razor right now. So we are
>> trying to get all the systems into one CM system. Razor is just a gui
>> that uses rcs commands. Once we get everything synced we will explore
>> our options for a complete development CM system.
>
> The problem with using RCS as sync (as base) is that it is least
> powerfull of VCS, and as far as I know do not offer place to store
> extra information, so conversion from Git to RSS will lose some
> information (committership, signed commits and signed merges, signed
> tags, etc.).

You forgot to mention another important one: atomicity of commits
across the entire tree.  The best you could do would be to assume
that changes in such a collection of RCS ,v files from a Git export
to different files with the same timestamp and by the same author
are likely to have come from the same Git commit, and that the
timestamp monotonically increases, in order to stitch the history
back together.